## AgsCountable

AgsCountable — a counter interface

## Stability Level

Stable, unless otherwise indicated

## Functions

guint64 | ags_countable_get_sequencer_counter ()
guint64 | ags_countable_get_notation_counter ()
guint64 | ags_countable_get_wave_counter ()
guint64 | ags_countable_get_midi_counter ()

## Object Hierarchy

        GInterface
        ╰── AgsCountable

## Includes

    #include <ags/object/ags_countable.h>

## Description

The AgsCountable interface gives you a unique access to counters. Generally we distinguish between notation and sequencer counters. Those may have their own relative positions, especially the sequencers may loop.

## Functions

### ags_countable_get_sequencer_counter ()

    guint64
    ags_countable_get_sequencer_counter (AgsCountable *countable);

Retrieve current position of sequencer.

#### Parameters

countable | an AgsCountable |

#### Returns

the current position

Since: 3.0.0

### ags_countable_get_notation_counter ()

    guint64
    ags_countable_get_notation_counter (AgsCountable *countable);

Retrieve current position of notation.

#### Parameters

countable | an AgsCountable |

#### Returns

the current position

Since: 3.0.0

### ags_countable_get_wave_counter ()

    guint64
    ags_countable_get_wave_counter (AgsCountable *countable);

Retrieve current position of wave.

#### Parameters

countable | an AgsCountable |

#### Returns

the current position

Since: 3.0.0

### ags_countable_get_midi_counter ()

    guint64
    ags_countable_get_midi_counter (AgsCountable *countable);

Retrieve current position of MIDI.

#### Parameters

countable | an AgsCountable |

#### Returns

the current position

Since: 3.0.0